#ifndef MPU6050_h
#define MPU6050_h

#include "Arduino.h"
#include <Wire.h>

class MPU6050 {
  public:
    MPU6050(void);
    long accelX, accelY, accelZ;
    float beschleunigungX, beschleunigungY, beschleunigungZ;
    float gyroX, gyroY, gyroZ;
    
    void getAngularVelocity(void);
    void calculateAngle(void);
    void printData(void);
    void setUpMPU();

    
    void callibrateGyroValues(void);
    void readAndProcessAccelData(void);
    void processAccelData(void);
    void readAndProcessGyroData(void);
    void getGyroValues(void);

    long gyroXCalli, gyroYCalli, gyroZCalli,gyroXPresent,gyroYPresent,gyroZPresent,gyroXPast,gyroYPast,gyroZPast,timePast,timePresent;
    float winkelX,winkelY,winkelZ;
};

#endif
