#ifndef GLOBALS_H
#define GLOBALS_h
#include "TinyGPS.h"
#include "Arduino.h"
#include "spm4648.h"
#include "MPU6050.h"
#include "Servo.h"
#include "ESC.h"
#include "PID_v1.h"
#include "math.h"


#define GAS_PIN 6
#define SERVO_PIN 3


extern int gasVal, servoVal;
extern unsigned long msAuto;

void initServos();
void setMotor(float val);
void setServo(float val);

extern MPU6050 mpu;
extern Spm4648 spm;

#endif
